Package pyplusplus :: Package code_creators :: Module calldef :: Class calldef_overloads_class_t

# type calldef_overloads_class_t

source code

                     object --+
                              |
    code_creator.code_creator_t --+
                                  |
                                 calldef_overloads_class_t

Known Subclasses:
  - free_fun_overloads_class_t
  - , mem_fun_overloads_class_t

Instance Methods

__init__(self, functions) Constructor. | source code

min_max_num_of_args(self) | source code

Inherited from `code_creator.code_creator_t`: `beautify`, `create`, `get_system_headers`

Static Methods
Inherited from `code_creator.code_creator_t`: `indent`, `is_comment`, `unindent`, `unique_headers`

Class Variables
Inherited from `code_creator.code_creator_t`: `LINE_LENGTH`, `PARAM_SEPARATOR`, `PYPLUSPLUS_NS_NAME`

Properties
| functions
| max_function
| max_function_identifier
| alias
| parent_decl
| name
Inherited from `code_creator.code_creator_t`: `parent`, `target_configuration`, `top_parent`, `works_on_instance`

Method Details

### __init__(self, functions)
(Constructor)

source code

Constructor.

Parameters:
  - `parent` - Parent code creator.
Overrides: code_creator.code_creator_t.__init__
  (inherited documentation)

Property Details

### functions

### max_function

### max_function_identifier

### alias

### parent_decl

### name